/* IluTransportInfo.java */
/* Chris Jacobi, April 21, 1997 1:26 pm PDT */

/*
 * Copyright (c) 1996 Xerox Corporation.  All Rights Reserved.  
 * Unlimited use, reproduction, and distribution of this software is
 * permitted.  Any copy of this software must include both the above
 * copyright notice of Xerox Corporation and this paragraph.  Any
 * distribution of this software must comply with all applicable United
 * States export control laws.  This software is made available AS IS,
 * and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
 * PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
 * THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
 * CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
 * XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 */
 
/* $Id: IluTransportInfo.java,v 1.7 1997/04/21 20:38:21 jacobi Exp $ */
 
/* 
 * Native side together with IluPort 
 * See IluJava_IluPort.c
 *
 */


package xerox.ilu;

/**
 * Transport information is used to describe servers. <p>
 * @see IluServer
 * @see IluPort
 */
final public class IluTransportInfo {
    private long yIluTransportInfo = 0; 
    private java.lang.String[] info = null;
    
    private native void nativeInitTransportInfo(java.lang.String[] info);
    private native void nativeFinalizeTransportInfo();
    
    /** 
     * Create a transport info.
     * Use null info array for default. 
     */
    public IluTransportInfo(java.lang.String[] info) {
        if (IluDebug.traceDefs() > 0) {
            IluDebug.log.println("! IluTransportInfo: created");
        }
        this.info = info;
        this.nativeInitTransportInfo(info);
        this.info = null; //no point in keeping this storage
    }
    
    protected final void finalize() throws java.lang.Throwable {
        nativeFinalizeTransportInfo();
    }
    
} //IluTransportInfo
